This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 19000 - Arpwatch will not start unless /var/arpwatch/arp.dat is there
Arpwatch will not start unless /var/arpwatch/arp.dat is there
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-12 17:00 EDT by Pekka Savola
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-13 12:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-10-12 17:00:40 EDT
If  /var/arpwatch/arp.dat is missing, arpwatch will die with a 
success error code (init.d/arpwatch starts shows OK).

Either arp.dat should be created in the RPM, arpwatch made to create it if necessary
or die in a more graceful manner.  E.g.:

Oct 12 23:58:27 haukka arpwatch: fopen(arp.dat): No such file or directory
Oct 12 23:58:27 haukka kernel: eth0: Promiscuous mode enabled.
Oct 12 23:58:27 haukka kernel: device eth0 entered promiscuous mode
Oct 12 23:58:27 haukka kernel: device eth0 left promiscuous mode
Comment 1 Jeff Johnson 2000-10-15 19:47:25 EDT
Here's what's in the tcpdump spec file (for the arpwatch sub-package)
	%config %{_vararpwatch}/arp.dat
and here's what's in the arpwatch package itself
	-rw-r--r--    1 root    root                0 Oct 12 10:04
/var/arpwatch/arp.dat

Dunno what else needs to be done.
Comment 2 Oliver Schulze L. 2005-05-18 12:44:26 EDT
sometimes, arp.dat get deleted.
You need to touch it and change the user to pcap, in RH9, do this:
  # touch /var/arpwatch/arp.dat
  # chown pcap.pcap /var/arpwatch/arp.dat
the file arp.dat is included in the arpwatch rpm

Note You need to log in before you can comment on or make changes to this bug.